Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Internal::Autoscheduler::Cache Struct Reference

`#include <Cache.h>`

## Public Member Functions
| Cache ()=delete
| Cache (const CachingOptions &_options, size_t nodes_size)
| ~Cache ()=default
bool | add_memoized_blocks (const State *state, std::function< void(IntrusivePtr< State > &&)> &accept_child, const FunctionDAG::Node *node, int &num_children, const FunctionDAG &dag, const Adams2019Params &params, CostModel *cost_model) const
void | memoize_blocks (const FunctionDAG::Node *node, LoopNest *new_root)

## Public Attributes
CachingOptions | options
BlockCache | memoized_compute_root_blocks
size_t | cache_hits = 0
size_t | cache_misses = 0

## Detailed Description

Definition at line 94 of file Cache.h.

## Constructor & Destructor Documentation

## ◆ Cache() [1/2]

Halide::Internal::Autoscheduler::Cache::Cache | ( |  | ) |
| delete

## ◆ Cache() [2/2]

Halide::Internal::Autoscheduler::Cache::Cache | ( | const CachingOptions & | _options,
|  | size_t | nodes_size
| ) |  |
| inline

Definition at line 102 of file Cache.h.

References Halide::Internal::Autoscheduler::CachingOptions::cache_blocks, Halide::cast(), PerfectHashMap< K, T, max_small_size, phm_assert >::make_large(), memoized_compute_root_blocks, and options.

## ◆ ~Cache()

Halide::Internal::Autoscheduler::Cache::~Cache | ( |  | ) |
| default

## Member Function Documentation

## ◆ add_memoized_blocks()

bool Halide::Internal::Autoscheduler::Cache::add_memoized_blocks | ( | const State * | state,
|  | std::function< void(IntrusivePtr< State > &&)> & | accept_child,
|  | const FunctionDAG::Node * | node,
|  | int & | num_children,
|  | const FunctionDAG & | dag,
|  | const Adams2019Params & | params,
|  | CostModel * | cost_model
| ) |  | const

## ◆ memoize_blocks()

void Halide::Internal::Autoscheduler::Cache::memoize_blocks | ( | const FunctionDAG::Node * | node,
|  | LoopNest * | new_root
| ) |  |

## Member Data Documentation

## ◆ options

CachingOptions Halide::Internal::Autoscheduler::Cache::options

Definition at line 95 of file Cache.h.

Referenced by Cache().

## ◆ memoized_compute_root_blocks

BlockCache Halide::Internal::Autoscheduler::Cache::memoized_compute_root_blocks

Definition at line 96 of file Cache.h.

Referenced by Cache().

## ◆ cache_hits

size_t Halide::Internal::Autoscheduler::Cache::cache_hits = 0
| mutable

Definition at line 98 of file Cache.h.

## ◆ cache_misses

size_t Halide::Internal::Autoscheduler::Cache::cache_misses = 0
| mutable

Definition at line 99 of file Cache.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/adams2019/Cache.h